Pulp - Task #520
pulp.spec:547: W: libdir-macro-in-noarch-package agent %{_libdir}/gofer/plugins/pulpplugin.*
02/28/2015 11:19 PM - rbarlow

Status: CLOSED - WORKSFORME Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Sprint/Milestone:

Platform Release: Tags: Pulp 2
Groomed: No Sprint:

Sprint Candidate: No Quarter:

Description

Description of problem:
rpmlint -i pulp.spec gives the following warning:

pulp.spec:547: W: libdir-macro-in-noarch-package agent %{_libdir}/gofer/plugins/pulpplugin.*
The %{_libdirjor %{_lib} macro was found in a noarch package in a section

that gets included in binary packages. This is most likely an error because

these macros are expanded on the build host and their values vary between

architectures, probably resulting in a package that does not work properly on

all architectures at runtime. Investigate whether the package is really

architecture independent or if some other dir/macro should be instead.

gofer should use Python's entry point system to locate plugins rather than putting Python code in /usr/lib/.

Version-Release number of selected component (if applicable):
2.4.01

How reproducible:
Every time

Steps to Reproduce:
1. Run rpmlint -i pulp.spec

Actual results:
The above warning is printed.

Expected results:
No warnings should be printed.

+ This bug was cloned from Bugzilla Bug #1141218 +

History

#1 - 02/28/2015 11:19 PM - jortel@redhat.com

Gofer supports loading plugins from /usr/share/gofer/plugins as well as /usr/lib/gofer/plugins and /usr/lib64/gofer/plugins.
Gofer 1.0+ supports loading plugins from the python path. This can be done by simply adding a property to the plugin descriptor:

[main]
plugin: pulp.agent.gofer.pulpplugin

Any of the above solutions will resolve this bug.

+ This comment was cloned from Bugzilla #1141218 comment 1 +
https://bugzilla.redhat.com/show_bug.cgi?id=1141218
https://bugzilla.redhat.com/show_bug.cgi?id=1141218#c1

#2 - 03/04/2015 07:42 PM - cduryee
- Status changed from NEW to 7

This appears to be fixed in master:

$ rpmlint

pulp.
pulp.
pulp.
pulp.
pulp.
pulp.
pulp.
Found

spec:
spec:
spec:
spec:
spec:
spec:
spec:

pulp.spec

338: W: unversioned-explicit-obsoletes
553: W: unversioned-explicit-obsoletes
623: W: unversioned-explicit-obsoletes
670: W: unversioned-explicit-obsoletes
700: W: unversioned-explicit-obsoletes
776: W: unversioned-explicit-obsoletes
W:

pulp

pulp-common
pulp-client-1ib
pulp-admin
pulp-consumer
pulp-selinux-server

invalid-url Source0O: https://github.com/pulp/pulp/archive/pulp-2.6.1.tar.gz HTTP

0 packages and 1 specfiles checked; 0 errors, 7 warnings.

rbarlow: is it ok to close this task?

#3 - 03/04/2015 07:42 PM - cduryee
- Status changed from 7 to NEW

#4 - 03/04/2015 11:41 PM - rbarlow
On 03/04/2015 01:42 PM, cduryee wrote:

rbarlow: is it ok to close this task?

It sure looks that way!

#5 - 03/04/2015 11:47 PM - cduryee
- Status changed from NEW to 7

#6 - 03/20/2015 05:58 PM - bmbouter
- Status changed from 7 to CLOSED - WORKSFORME

#7 - 04/15/2019 11:10 PM - bmbouter
- Tags Pulp 2 added
